C---------------------------------------------------------------
C file lib_f_fitthr.f
C Equation system to simulate metabolic and/or isotopic dynamics.
C This code is automatically generated by IsoSim, do not edit.
C---------------------------------------------------------------

C initialiser for parameter common block
      subroutine initmod(odeparms)
       external odeparms
       double precision parms(1)
       common /myparms/parms
       call odeparms(1, parms)
       return
      end

C calculate derivatives
      subroutine derivs (neq, t, y, ydot, yout, ip)
       implicit none
       double precision t
       double precision y(6)
       double precision ydot(6)
       double precision yout(*)
       integer neq, ip(*)
C   declare METABOLITES
       double precision asp
       double precision thr
C   declare FLUXES
       double precision r1
       double precision rout
C   declare KINETIC PARAMETERS
       double precision V15N
C   set values of MODEL PARAMETERS
       common /myparms/ V15N
C   set variables with analytical functions
       y(1)=1-(-0.945561838850801+ (-1-(0.00190640746402022)*t) 
     &* ((1/(1 + exp((-646.152768733805-t)/(-28.6583823985199)))) -  (
     &1/(1 + exp((-30.365947773855-t)/(10.6294249052391))))))
       y(2)=-0.945561838850801+ (-1-(0.00190640746402022)*t) * (
     &(1/(1 + exp((-646.152768733805-t)/(-28.6583823985199)))) -  (1/(
     &1 + exp((-30.365947773855-t)/(10.6294249052391)))))
C   calculate METABOLITE concentrations by summing EMU concentrations
       asp=y(5)
       thr=y(6)
C   calculate FLUXES
       r1=V15N
       rout=V15N
C   ---------------
C   equation system
C   ---------------
C   calculate derivatives of EMU concentrations
       ydot(1)=0
       ydot(2)=0
       ydot(3)=r1*(y(1)/asp)+rout*(-y(3)/thr)
       ydot(4)=r1*(y(2)/asp)+rout*(-y(4)/thr)
       ydot(5)=0
       ydot(6)=r1*(y(5)/asp*y(6)/thr)+rout*(-y(6)/thr)
       return
      end
C---------------------------------------------------------------
C end of file lib_f_fitthr.f
C---------------------------------------------------------------
