C---------------------------------------------------------------
C file lib_f_fitpro.f
C Equation system to simulate metabolic and/or isotopic dynamics.
C This code is automatically generated by IsoSim, do not edit.
C---------------------------------------------------------------

C initialiser for parameter common block
      subroutine initmod(odeparms)
       external odeparms
       double precision parms(1)
       common /myparms/parms
       call odeparms(1, parms)
       return
      end

C calculate derivatives
      subroutine derivs (neq, t, y, ydot, yout, ip)
       implicit none
       double precision t
       double precision y(6)
       double precision ydot(6)
       double precision yout(*)
       integer neq, ip(*)
C   declare METABOLITES
       double precision glu
       double precision pro
C   declare FLUXES
       double precision r1
       double precision rout
C   declare KINETIC PARAMETERS
       double precision Vpro
C   set values of MODEL PARAMETERS
       common /myparms/ Vpro
C   set variables with analytical functions
       y(1)=1-(-0.786728852101244+ (1-(-0.000134746249106411)*t)
     & * ((1/(1 + exp((-58.8657613482175-t)/(45.0337798793909)))) -  (
     &1/(1 + exp((450.724142400458-t)/(26.6472119584489))))))
       y(2)=-0.786728852101244+ (1-(-0.000134746249106411)*t) * 
     &((1/(1 + exp((-58.8657613482175-t)/(45.0337798793909)))) -  (1/(
     &1 + exp((450.724142400458-t)/(26.6472119584489)))))
C   calculate METABOLITE concentrations by summing EMU concentrations
       glu=y(5)
       pro=y(6)
C   calculate FLUXES
       r1=Vpro
       rout=Vpro
C   ---------------
C   equation system
C   ---------------
C   calculate derivatives of EMU concentrations
       ydot(1)=0
       ydot(2)=0
       ydot(3)=r1*(y(1)/glu)+rout*(-y(3)/pro)
       ydot(4)=r1*(y(2)/glu)+rout*(-y(4)/pro)
       ydot(5)=0
       ydot(6)=r1*(y(5)/glu*y(6)/pro)+rout*(-y(6)/pro)
       return
      end
C---------------------------------------------------------------
C end of file lib_f_fitpro.f
C---------------------------------------------------------------
