C---------------------------------------------------------------
C file lib_f_fitpro.f
C Equation system to simulate metabolic and/or isotopic dynamics.
C This code is automatically generated by IsoSim, do not edit.
C---------------------------------------------------------------

C initialiser for parameter common block
      subroutine initmod(odeparms)
       external odeparms
       double precision parms(1)
       common /myparms/parms
       call odeparms(1, parms)
       return
      end

C calculate derivatives
      subroutine derivs (neq, t, y, ydot, yout, ip)
       implicit none
       double precision t
       double precision y(6)
       double precision ydot(6)
       double precision yout(*)
       integer neq, ip(*)
C   declare METABOLITES
       double precision glu
       double precision pro
C   declare FLUXES
       double precision r1
       double precision rout
C   declare KINETIC PARAMETERS
       double precision Vpro
C   set values of MODEL PARAMETERS
       common /myparms/ Vpro
C   set variables with analytical functions
       y(1)=1-(0.00244938381609662+ (-0.999999998293557-(-0.5527
     &64997432385)*t) * ((1/(1 + exp((-287.442396623058-t)/(82.4774533
     &730666)))) -  (1/(1 + exp((-333.805228691409-t)/(97.954230298939
     &5))))))
       y(2)=0.00244938381609662+ (-0.999999998293557-(-0.5527649
     &97432385)*t) * ((1/(1 + exp((-287.442396623058-t)/(82.4774533730
     &666)))) -  (1/(1 + exp((-333.805228691409-t)/(97.9542302989395))
     &)))
C   calculate METABOLITE concentrations by summing EMU concentrations
       glu=y(5)
       pro=y(6)
C   calculate FLUXES
       r1=Vpro
       rout=Vpro
C   ---------------
C   equation system
C   ---------------
C   calculate derivatives of EMU concentrations
       ydot(1)=0
       ydot(2)=0
       ydot(3)=r1*(y(1)/glu)+rout*(-y(3)/pro)
       ydot(4)=r1*(y(2)/glu)+rout*(-y(4)/pro)
       ydot(5)=0
       ydot(6)=r1*(y(5)/glu*y(6)/pro)+rout*(-y(6)/pro)
       return
      end
C---------------------------------------------------------------
C end of file lib_f_fitpro.f
C---------------------------------------------------------------
