C---------------------------------------------------------------
C file lib_f_fitval.f
C Equation system to simulate metabolic and/or isotopic dynamics.
C This code is automatically generated by IsoSim, do not edit.
C---------------------------------------------------------------

C initialiser for parameter common block
      subroutine initmod(odeparms)
       external odeparms
       double precision parms(1)
       common /myparms/parms
       call odeparms(1, parms)
       return
      end

C calculate derivatives
      subroutine derivs (neq, t, y, ydot, yout, ip)
       implicit none
       double precision t
       double precision y(6)
       double precision ydot(6)
       double precision yout(*)
       integer neq, ip(*)
C   declare METABOLITES
       double precision glu
       double precision val
C   declare FLUXES
       double precision r1
       double precision rout
C   declare KINETIC PARAMETERS
       double precision Vval
C   set values of MODEL PARAMETERS
       common /myparms/ Vval
C   set variables with analytical functions
       y(1)=1-(0.00181423114324739+ (-0.986121994910945-(-1.2440
     &503107453)*t) * ((1/(1 + exp((-382.985957480115-t)/(80.560200664
     &1498)))) -  (1/(1 + exp((-455.244610015419-t)/(99.7857518868771)
     &)))))
       y(2)=0.00181423114324739+ (-0.986121994910945-(-1.2440503
     &107453)*t) * ((1/(1 + exp((-382.985957480115-t)/(80.560200664149
     &8)))) -  (1/(1 + exp((-455.244610015419-t)/(99.7857518868771))))
     &)
C   calculate METABOLITE concentrations by summing EMU concentrations
       glu=y(5)
       val=y(6)
C   calculate FLUXES
       r1=Vval
       rout=Vval
C   ---------------
C   equation system
C   ---------------
C   calculate derivatives of EMU concentrations
       ydot(1)=0
       ydot(2)=0
       ydot(3)=r1*(y(1)/glu)+rout*(-y(3)/val)
       ydot(4)=r1*(y(2)/glu)+rout*(-y(4)/val)
       ydot(5)=0
       ydot(6)=r1*(y(5)/glu*y(6)/val)+rout*(-y(6)/val)
       return
      end
C---------------------------------------------------------------
C end of file lib_f_fitval.f
C---------------------------------------------------------------
