C---------------------------------------------------------------
C file lib_f_fitval.f
C Equation system to simulate metabolic and/or isotopic dynamics.
C This code is automatically generated by IsoSim, do not edit.
C---------------------------------------------------------------

C initialiser for parameter common block
      subroutine initmod(odeparms)
       external odeparms
       double precision parms(1)
       common /myparms/parms
       call odeparms(1, parms)
       return
      end

C calculate derivatives
      subroutine derivs (neq, t, y, ydot, yout, ip)
       implicit none
       double precision t
       double precision y(6)
       double precision ydot(6)
       double precision yout(*)
       integer neq, ip(*)
C   declare METABOLITES
       double precision glu
       double precision val
C   declare FLUXES
       double precision r1
       double precision rout
C   declare KINETIC PARAMETERS
       double precision Vval
C   set values of MODEL PARAMETERS
       common /myparms/ Vval
C   set variables with analytical functions
       y(1)=1-(-0.248488211196208+ (-1-(-0.00156168690934329)*t)
     & * ((1/(1 + exp((90.3917283811356-t)/(-99.9999974532724)))) -  (
     &1/(1 + exp((-319.612251441629-t)/(100))))))
       y(2)=-0.248488211196208+ (-1-(-0.00156168690934329)*t) * 
     &((1/(1 + exp((90.3917283811356-t)/(-99.9999974532724)))) -  (1/(
     &1 + exp((-319.612251441629-t)/(100)))))
C   calculate METABOLITE concentrations by summing EMU concentrations
       glu=y(5)
       val=y(6)
C   calculate FLUXES
       r1=Vval
       rout=Vval
C   ---------------
C   equation system
C   ---------------
C   calculate derivatives of EMU concentrations
       ydot(1)=0
       ydot(2)=0
       ydot(3)=r1*(y(1)/glu)+rout*(-y(3)/val)
       ydot(4)=r1*(y(2)/glu)+rout*(-y(4)/val)
       ydot(5)=0
       ydot(6)=r1*(y(5)/glu*y(6)/val)+rout*(-y(6)/val)
       return
      end
C---------------------------------------------------------------
C end of file lib_f_fitval.f
C---------------------------------------------------------------
